Package org.pgpainless.sop

# Class ExtractCertImpl

java.lang.Object
org.pgpainless.sop.ExtractCertImpl

All Implemented Interfaces:
  `sop.operation.ExtractCert`

public class ExtractCertImpl extends Object implements sop.operation.ExtractCert
Implementation of the

    extract-cert

operation using PGPainless.

## Constructor Summary

Constructors
Constructor
Description
`ExtractCertImpl()`

## Method Summary

Modifier and Type
Method
Description
`sop.Ready`
`key(InputStream keyInputStream)`
`sop.operation.ExtractCert`
`noArmor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface sop.operation.ExtractCert

`key`

## Constructor Details

### ExtractCertImpl

public ExtractCertImpl()

## Method Details

### noArmor

public sop.operation.ExtractCert noArmor()

Specified by:
  `noArmor` in interface `sop.operation.ExtractCert`

### key

public sop.Ready key(InputStream keyInputStream) throws IOException, sop.exception.SOPGPException.BadData

Specified by:
  `key` in interface `sop.operation.ExtractCert`
Throws:
  `IOException`
  `sop.exception.SOPGPException.BadData`